Установка:

Для установки libhyperscan4 в Ubuntu / Linux Mint / Debian, введите в Терминал:

sudo apt update
sudo apt install libhyperscan4

Подробная информация о пакете:

Высокопроизводительная библиотека соответствия выражению

Hyperscan — это высокопроизводительная библиотека для сопоставления регулярных выражений. Он следует за синтаксисом регулярных выражений обычно используемой библиотеки libpcre, но является автономной библиотекой со своим собственным API C. В Hyperscan используются методы гибридных автоматов, позволяющие одновременное сопоставление больших чисел (до десятков тысяч) регулярных выражений и сопоставление регулярных выражений в потоках данных. Hyperscan обычно используется в стеке библиотеки DPI.

libhyperscan работает только на процессорах с поддержкой, по крайней мере, SSSE3.

Зависимости:

  • debconf

    Система управления конфигурацией Debian

  • debconf-2.0

  • libc6

  • libgcc1

  • libstdc++6

    Стандартная библиотека GNU GNU v3